Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jrummikub.view
Interface IClickable

All Known Subinterfaces:
  IHandPanel, ITablePanel

All Known Implementing Classes:
  AbstractStonePanel, HandPanel, StoneCollectionPanel, TablePanel

    public interface IClickable

An interface for view elements that can emit click events

Method Summary
`IEvent1<Position>` | `getClickEvent()` the click event is emitted when the player clicks on the table/hand/etc.

Method Detail

### getClickEvent

    IEvent1<Position> getClickEvent()

  the click event is emitted when the player clicks on the table/hand/etc.

  Returns:
    the event; the first parameter is the position of the click in grid coordinates, the second is true when the player wants to add stones to his selection instead of replacing them

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD